Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.address.parser
Interface AddressListParserConstants

All Known Implementing Classes:
  AddressListParser, AddressListParserTokenManager

    public interface AddressListParserConstants

Field Summary
`static int` | `ALPHA`
`static int` | `ANY`
`static int` | `ATEXT`
`static int` | `COMMENT`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DOMAINLITERAL`
`static int` | `DOTATOM`
`static int` | `EOF`
`static int` | `INCOMMENT`
`static int` | `INDOMAINLITERAL`
`static int` | `INQUOTEDSTRING`
`static int` | `NESTED_COMMENT`
`static int` | `QUOTEDPAIR`
`static int` | `QUOTEDSTRING`
`static java.lang.String[]` | `tokenImage`
`static int` | `WS`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### WS

    static final int WS

See Also:
  Constant Field Values

### ALPHA

    static final int ALPHA

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### ATEXT

    static final int ATEXT

See Also:
  Constant Field Values

### DOTATOM

    static final int DOTATOM

See Also:
  Constant Field Values

### DOMAINLITERAL

    static final int DOMAINLITERAL

See Also:
  Constant Field Values

### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

### QUOTEDSTRING

    static final int QUOTEDSTRING

See Also:
  Constant Field Values

### QUOTEDPAIR

    static final int QUOTEDPAIR

See Also:
  Constant Field Values

### ANY

    static final int ANY

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### INDOMAINLITERAL

    static final int INDOMAINLITERAL

See Also:
  Constant Field Values

### INCOMMENT

    static final int INCOMMENT

See Also:
  Constant Field Values

### NESTED_COMMENT

    static final int NESTED_COMMENT

See Also:
  Constant Field Values

### INQUOTEDSTRING

    static final int INQUOTEDSTRING

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.